Sorry your browser is not supported!

You are using an outdated browser that does not support modern web technologies, in order to use this site please update to a new browser.

Browsers supported include Chrome, FireFox, Safari, Opera, Internet Explorer 10+ or Microsoft Edge.

Dark GDK / Dark SDK 1.1 - problems linking Terrain.lib

Author
Message
Artus
17
Years of Service
User Offline
Joined: 25th Feb 2005
Location: France
Posted: 28th Apr 2005 02:52
Has anyone tested using terrain with DarkSDK 1.1 ? I have unresolved externals at link with both my application and the sample Terrain project in Debug and Release mode.

Quote: "
--------------------Configuration: Terrain - Win32 Release--------------------
Compiling resources...
Compiling...
Demo.cpp
Linking...
Demo.obj : error LNK2001: unresolved external symbol "void __cdecl dbUpdateTerrain(void)" (?dbUpdateTerrain@@YAXXZ)
Demo.obj : error LNK2001: unresolved external symbol "void __cdecl dbBuildTerrain(int)" (?dbBuildTerrain@@YAXH@Z)
Demo.obj : error LNK2001: unresolved external symbol "void __cdecl dbSetTerrainTexture(int,int,int)" (?dbSetTerrainTexture@@YAXHHH@Z)
Demo.obj : error LNK2001: unresolved external symbol "void __cdecl dbSetTerrainLight(int,float,float,float,float,float,float,float)" (?dbSetTerrainLight@@YAXHMMMMMMM@Z)
Demo.obj : error LNK2001: unresolved external symbol "void __cdecl dbSetTerrainTiling(int,int)" (?dbSetTerrainTiling@@YAXHH@Z)
Demo.obj : error LNK2001: unresolved external symbol "void __cdecl dbSetTerrainSplit(int,int)" (?dbSetTerrainSplit@@YAXHH@Z)
Demo.obj : error LNK2001: unresolved external symbol "void __cdecl dbSetTerrainScale(int,float,float,float)" (?dbSetTerrainScale@@YAXHMMM@Z)
Demo.obj : error LNK2001: unresolved external symbol "void __cdecl dbSetTerrainHeightMap(int,char *)" (?dbSetTerrainHeightMap@@YAXHPAD@Z)
Demo.obj : error LNK2001: unresolved external symbol "void __cdecl dbMakeObjectTerrain(int)" (?dbMakeObjectTerrain@@YAXH@Z)
Demo.obj : error LNK2001: unresolved external symbol "void __cdecl dbSetupTerrain(void)" (?dbSetupTerrain@@YAXXZ)
Demo.obj : error LNK2001: unresolved external symbol "float __cdecl dbGetTerrainGroundHeight(int,float,float)" (?dbGetTerrainGroundHeight@@YAMHMM@Z)
Release/Terrain.exe : fatal error LNK1120: 11 unresolved externals
Error executing link.exe.

Terrain.exe - 12 error(s), 0 warning(s)
"
Artus
17
Years of Service
User Offline
Joined: 25th Feb 2005
Location: France
Posted: 28th Apr 2005 02:54
Precision: I use visual studio 6
OSX Using Happy Dude
19
Years of Service
User Offline
Joined: 21st Aug 2003
Location: At home
Posted: 28th Apr 2005 03:33
It is possible that VS6 may no longer be supported... It compiles with VS7

Visit http://homepages.nildram.co.uk/~nickk
Calm down dear! Its only an election...
Smithy
18
Years of Service
User Offline
Joined: 8th Dec 2004
Location: Switzerland
Posted: 28th Apr 2005 03:33
Hmm, I can't help you right now, but I have the same errors with my classes (no libs or dlls) if I only include the header.
To solve the problem I have to add the sources to my project/workbench.

Anyway... you can compile other darkgame example sources then?
Well, I've ordered VC++ .NET 2003 because it seems that the dgSDK
and VC++ 6.0 will only work together with the DirectX SDK's from 2004.
And I want to use the 2005 SDK updates.
What DX SDK are you using then?

Smithy

//Pentium IV 3200E/Prescott; 800Mhz FSB; Hyperthreading; WinXP Pro (!XP2); ATI R9700PRO; 1024MB RAM (2x 512MB "DualChanneled"; VC++ 6.0; Delphi; ADSL;
Smithy
18
Years of Service
User Offline
Joined: 8th Dec 2004
Location: Switzerland
Posted: 28th Apr 2005 03:34 Edited at: 28th Apr 2005 03:36
*confused*
VS 7? Hmm..
You mean VS .NET 2003? Right?

I have read previews of the VS 2005 beta... it has some nice features
Quote: "
Bouncy Bricks:
It is possible that VS6 may no longer be supported... It compiles with VS7"


//Pentium IV 3200E/Prescott; 800Mhz FSB; Hyperthreading; WinXP Pro (!XP2); ATI R9700PRO; 1024MB RAM (2x 512MB "DualChanneled"; VC++ 6.0; Delphi; ADSL;
OSX Using Happy Dude
19
Years of Service
User Offline
Joined: 21st Aug 2003
Location: At home
Posted: 28th Apr 2005 03:43
Quote: "I have read previews of the VS 2005 beta... it has some nice features"

Yes, but doesn't work with DBPro...

Visit http://homepages.nildram.co.uk/~nickk
Calm down dear! Its only an election...
Smithy
18
Years of Service
User Offline
Joined: 8th Dec 2004
Location: Switzerland
Posted: 28th Apr 2005 03:46
Hehe, well, I don't have enough spare gold coins to buy it anyway

I will buy it when the 2006 one comes out
(Or if I need it to get the darkgameSDK to work)

Smithy

//Pentium IV 3200E/Prescott; 800Mhz FSB; Hyperthreading; WinXP Pro (!XP2); ATI R9700PRO; 1024MB RAM (2x 512MB "DualChanneled"; VC++ 6.0; Delphi; ADSL;
APEXnow
Retired Moderator
19
Years of Service
User Offline
Joined: 15th Apr 2003
Location: On a park bench
Posted: 28th Apr 2005 05:08
I don't think that VS6 is going to be binned just yet. Alot of users still use the compiler, as I do. And it wasn't all that long ago that MS released a service pack for it.

Why would TGC spend all this time fixing 5.8, getting updates done for the DGSDK and then suddenly abandon all support for VC6?

Paul.


Home of the Cartography Shop - DarkBASIC Professional map importer
OSX Using Happy Dude
19
Years of Service
User Offline
Joined: 21st Aug 2003
Location: At home
Posted: 28th Apr 2005 05:52
Its a 3 forum problem, for sure...

Visit http://homepages.nildram.co.uk/~nickk
Calm down dear! Its only an election...
Jimmy
19
Years of Service
User Offline
Joined: 20th Aug 2003
Location: Back in the USA
Posted: 28th Apr 2005 06:05
Anyone else notice how the DX SDK April update doesn't come with dx8 libraries?

In other words, HOSED?

Artus
17
Years of Service
User Offline
Joined: 25th Feb 2005
Location: France
Posted: 28th Apr 2005 06:13 Edited at: 28th Apr 2005 06:15
Quote: "Anyway... you can compile other darkgame example sources then?"


No problem. I don't think its a lack of support for VC6, but rather that the wrong Terrain.lib has been supplied with the update: I suspect (but cannot verify) that both libs from VS6 and VS7 subdirectories are in fact the VC7 version. Could anybody confirm ?

Quote: "
What DX SDK are you using then?"

October 2004
OSX Using Happy Dude
19
Years of Service
User Offline
Joined: 21st Aug 2003
Location: At home
Posted: 28th Apr 2005 06:41
Quote: "but rather that the wrong Terrain.lib has been supplied with the update: I suspect (but cannot verify) that both libs from VS6 and VS7 subdirectories are in fact the VC7 version"

Could well be - e-mail Mike.

Visit http://homepages.nildram.co.uk/~nickk
Calm down dear! Its only an election...
Smithy
18
Years of Service
User Offline
Joined: 8th Dec 2004
Location: Switzerland
Posted: 29th Apr 2005 20:58
@Artus

If you're using the October 2004 DX SDK then it will work with VS6.
But if you want to use one of the newer DX SDK update, VS7 is needed.

So, if you want to use the new DX updates, you have to switch to VS/VC .NET 2003 then

(Well, this is why I've ordered VC.NET2003)

//Pentium IV 3200E/Prescott; 800Mhz FSB; Hyperthreading; WinXP Pro (!XP2); ATI R9700PRO; 1024MB RAM (2x 512MB "DualChanneled"; VC++ 6.0; Delphi; ADSL;
Artus
17
Years of Service
User Offline
Joined: 25th Feb 2005
Location: France
Posted: 30th Apr 2005 05:28
I use the october 2004 SDK with the newest the DX runtime.

I am not going to invest in VC 2003 when VC 2005 is already at beta 2, because I'm quite sure that Microsoft will not give me the upgrade for free and it's probable that next year they will drop support for VC2003... Anyway, SDK 1.0 worked very well with VC6 ; why would'nt 1.1? Has TGC been bought by Microsoft?
I am confident that it is just a small packaging problem, and I hope that it will be solved very very soon !
Artus
17
Years of Service
User Offline
Joined: 25th Feb 2005
Location: France
Posted: 2nd May 2005 22:08
Hi,

I am still with my problem and almost no feedback (and not at all from TGC). It is not clear to me whether anybody (except Bouncy Brick ?) has encountered the same problem.

If one of you use successfully SDK1.1 with VC6, could you please tell me, because in this case I will try deinstalling/reinstalling the whole stuff (visual studio, directX, sdk) ; otherwise, I will wait for a patch. For the moment, I have reverted to SDK1.0 and its bugs in order to be able to go on with my game.

If TGC has stopped supporting VC6, it would nice if they would say it officially.

Thanks in advance.
OSX Using Happy Dude
19
Years of Service
User Offline
Joined: 21st Aug 2003
Location: At home
Posted: 3rd May 2005 02:31 Edited at: 3rd May 2005 02:45
Unfortunately I only use VS 7, so I cant find out what the problem is.

At the moment, it appears that SDK executables require the x_25.dll. Now, I dont know whether this is because I'm using the latest DirectX SDK or whether DarkSDK is requiring it.

If it is the latter, then it would appear that DarkSDK is using the latest DirectX SDK, in which case VS6 isn't supported.

If its the former, then either you are using the wrong LIB files or VS6 .LIBS are actually VS7 ones, or probably you are using the April SDK, in which case you'll probably need Feburary's one.

I know Mike is updating the update, so hopefully they'll be a comment later this week.

Visit http://homepages.nildram.co.uk/~nickk
Calm down dear! Its only an election...
Sephnroth
20
Years of Service
User Offline
Joined: 10th Oct 2002
Location: United Kingdom
Posted: 3rd May 2005 05:13
I havnt updated the SDK yet but I realllllllllly hope they don't loose support for VC6... its sheer luck that I have my own copy of vc++6 and if it was -required- that I have 7 I would be shoved and unable to use the darkSDK anymore. There is no way I can afford vc7 under any circemstances, unless TGC wish to provide us all with free copies

[07:16:59-pm] « Sephnroth » you were dreaming about lee...
[07:17:13-pm] « Mouse » stfu
[07:17:22-pm] « Mouse » he was hanging himself lol
Artus
17
Years of Service
User Offline
Joined: 25th Feb 2005
Location: France
Posted: 3rd May 2005 05:20
Quote: "or probably you are using the April SDK, in which case you'll probably need Feburary's one."


I use VC6 SP6, October 2004 DirectX SDK (more recent releases do not support VC6), and I have installed the latest DirectX runtime (works with DBPro 5.8).
OSX Using Happy Dude
19
Years of Service
User Offline
Joined: 21st Aug 2003
Location: At home
Posted: 3rd May 2005 05:29
I have queried whether the VS6 LIBS are actually for VS6 - hopefully Mike can confirm (or not) them.

Visit http://homepages.nildram.co.uk/~nickk
Calm down dear! Its only an election...
Smithy
18
Years of Service
User Offline
Joined: 8th Dec 2004
Location: Switzerland
Posted: 3rd May 2005 15:51
@Bouncy Bricks
Do you suggest to wait with the download/install of the update of dgDK1.1?
btw: You we're right, VS7 is neat, lovin' it!


*cries for help... pauses a moment, calms down, looks sad and starts to pray*
Mike... updating the update?
(There is a long weekend this week, due to a holiday, and so I would like to code)

//Pentium IV 3200E/Prescott; 800Mhz FSB; Hyperthreading; WinXP Pro (!XP2); ATI R9700PRO; 1024MB RAM (2x 512MB "DualChanneled"; VC++ 6.0; Delphi; ADSL;
OSX Using Happy Dude
19
Years of Service
User Offline
Joined: 21st Aug 2003
Location: At home
Posted: 3rd May 2005 20:53 Edited at: 3rd May 2005 20:53
Quote: "Do you suggest to wait with the download/install of the update of dgDK1.1?"

As long as you dont use 3D collision, you can download the current update and then the further update later on.

According to Mike, the SDK doesn't use x_25.DLL, which means that it must be being introduced with Microsoft's DLL's, which is fair enough as I use the latest DirectX SDK.

That doesn't explain the unresolved externals - I'll see if I can look at that tomorrow.

Visit http://homepages.nildram.co.uk/~nickk
Calm down dear! Its only an election...
Smithy
18
Years of Service
User Offline
Joined: 8th Dec 2004
Location: Switzerland
Posted: 3rd May 2005 21:43 Edited at: 3rd May 2005 21:45
Ah, thank you Bouncy Brick! (once again )

I will download "beta"-1.1 and see if I still have the same problems as with 1.0.
(problems with Debug-Configuration not working but Release does, maybe it's the Free-List class I am using, but it looks more like a texture problem)

(PS: Bouncy, do you know when there will be a dgDK Forum available?
(Bug forum, own code-snippets (no DB(-P) code anymore etc, I think I have read something along these lines in the forum.)

Sorry, Artus, I am unable to tell you if it works with VS6.
I could tell you if it works in VS7. Bouncy Bricks said he was able to compile and run it (both, in Debug and Release?) so it should work for me, but I will test the Terrain demo when I've installed the dgDK1.1


Cheers,
Smithy


//PS: I hope the sObject structure/pointer system will make it into the "new" 1.1... ( I mean, it was announced for 1.1!)

//Pentium IV 3200E/Prescott; 800Mhz FSB; Hyperthreading; WinXP Pro (!XP2); ATI R9700PRO; 1024MB RAM (2x 512MB "DualChanneled"; VC++ 6.0; Delphi; ADSL;
Artus
17
Years of Service
User Offline
Joined: 25th Feb 2005
Location: France
Posted: 4th May 2005 01:55
Good news!
Mike Johnson has confirmed the problem and indicated that
Quote: "This along with other issues will be resolved in a new upgrade which is likely to be released this week."
OSX Using Happy Dude
19
Years of Service
User Offline
Joined: 21st Aug 2003
Location: At home
Posted: 4th May 2005 02:21
Quote: "Bouncy, do you know when there will be a dgDK Forum available?"

Probably at some point in the future...

Visit http://homepages.nildram.co.uk/~nickk
Calm down dear! Its only an election...
Smithy
18
Years of Service
User Offline
Joined: 8th Dec 2004
Location: Switzerland
Posted: 4th May 2005 02:26
@Artus
Great news, thanks for the info

@Bouncy Brick
Ok

//Pentium IV 3200E/Prescott; 800Mhz FSB; Hyperthreading; WinXP Pro (!XP2); ATI R9700PRO; 1024MB RAM (2x 512MB "DualChanneled"; VC++ 6.0; Delphi; ADSL;

Login to post a reply

Server time is: 2023-02-06 20:16:15
Your offset time is: 2023-02-06 20:16:15